Type to search.

List Deployments

Base URL
https://api.elastic-cloud.com/api/v1
  • GET /deployments
No auth

List Deployments.

Responses

The list of deployments that belong to the authenticated user.

application/json
deployments object[] required

The deployments

id string required

The id of this deployment

name string required

The name of this deployment

resources object[] required

List of resources in this deployment

ref_id string required

A locally-unique friendly alias for this Elasticsearch cluster

elasticsearch_cluster_ref_id string

The Elasticsearch cluster that this resource depends on.

id string required

A system-unique id for the created resource

kind string required

The kind of resource

region string required

Identifier of the region in which this resource runs.

cloud_id string

An encoded string that provides other Elastic services with the necessary information to connect to this Elasticsearch and Kibana

secret_token string

Secret token for using a created resource. Only provided on initial create and absent otherwise.